"""Adapter classes for different agent frameworks."""

# Copyright 2025 - Vista Labs. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from .google_adk import ADKAgentAdapter  # noqa F401
from .litellm_adapter import LiteLLMAgentAdapter  # noqa F401
from .base import Agent  # Added re-export

__all__ = ["ADKAgentAdapter", "LiteLLMAgentAdapter", "Agent"]
